Users
Returns a paginated list of all users in the account. Admin only.
Authorizations
AuthorizationstringRequired
API token obtained from Screendesk account settings
Responses
200
A paginated list of users
application/json
401
Invalid or missing API token
application/json
403
API access not enabled or insufficient permissions
application/json
get/users
GET /api/v2/users HTTP/1.1
Host: app.screendesk.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"pagination": {
"count": 1,
"page": 1,
"items": 1,
"pages": 1,
"next_page": 1,
"prev_page": 1,
"last_page": 1,
"from": 1,
"to": 1
},
"users": [
{
"email": "name@gmail.com",
"name": "text",
"has_profile_picture": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"role": "admin",
"notifications": {
"notify_first_view": "Enabled",
"notify_all_recordings": "Enabled",
"notify_own_recordings": "Enabled"
}
}
]
}Returns a single user matching the provided email address. Admin only.
Authorizations
AuthorizationstringRequired
API token obtained from Screendesk account settings
Query parameters
emailstring · emailRequired
The email address to search for
Responses
200
User details
application/json
emailstring · emailOptional
namestringOptional
has_profile_picturebooleanOptional
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
rolestring · enumOptionalPossible values:
The user's role in the account
400
Missing email parameter
application/json
401
Invalid or missing API token
application/json
403
API access not enabled or insufficient permissions
application/json
404
Resource not found
application/json
get/users/search
GET /api/v2/users/search?email=name%40gmail.com HTTP/1.1
Host: app.screendesk.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"email": "name@gmail.com",
"name": "text",
"has_profile_picture": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"role": "admin",
"notifications": {
"notify_first_view": "Enabled",
"notify_all_recordings": "Enabled",
"notify_own_recordings": "Enabled"
}
}Last updated
Was this helpful?